Module java.desktop
Package javax.swing.event

## Interface TreeExpansionListener

- All Superinterfaces:
    `EventListener`
  All Known Implementing Classes:
    `BasicTreeUI.TreeExpansionHandler`, `JTree.AccessibleJTree`

      public interface TreeExpansionListener
      extends EventListener

  The listener that's notified when a tree expands or collapses a node. For further documentation and examples see How to Write a Tree Expansion Listener, a section in The Java Tutorial.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `treeCollapsed​(TreeExpansionEvent event)` | Called whenever an item in the tree has been collapsed.
    `void` | `treeExpanded​(TreeExpansionEvent event)` | Called whenever an item in the tree has been expanded.

- - ### Method Detail

    - #### treeExpanded

          void treeExpanded​(TreeExpansionEvent event)

      Called whenever an item in the tree has been expanded.
      Parameters:
        `event` - a `TreeExpansionEvent` containing a `TreePath` object for the expanded node

    - #### treeCollapsed

          void treeCollapsed​(TreeExpansionEvent event)

      Called whenever an item in the tree has been collapsed.
      Parameters:
        `event` - a `TreeExpansionEvent` containing a `TreePath` object for the collapsed node